{% extends "../frame.htm" %}
{% load i18n %}  
{% load static %}

{% block htmlData %}
    <script src='{% static "js/userTagsStuff.js" %}'></script>

    <script type="text/javascript">       
        $(function() {
            $("#subscribedtags").chosen({
                placeholder_text_multiple:  translateThis('chooseTag'),
                width: "95%"
            }); 
        });      
    </script> 
    <!-- Edit existing Group -->
    {% if close == "yes" %}
        {{ close }}
        <script>
            opener.displayMsgDetails('{{ uuid }}','{{ muuid }}','{{ token }}');
            window.close();            
        </script>    
    {% endif %}
  
    <div id="addTag" class="">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="">
            <form  class="w3-container"  method="POST"  action="/message/{{ muuid }}/tag/upsert">
                <div class="">
                    <div class="w3-margin">
                        {% csrf_token %}
                        <label><b>{% trans 'chooseTag' %}</b></label>
                        <select class="w3-select w3-border w3-margin-bottom chosen-select" multiple  placeholder='chooseTag' id="subscribedtags"  name="subscribedtags" >
                            {% for tag in userTags %}
                                <option value="{{ tag.uuid }}"> {{ tag.displayname }}</option>                
                            {% endfor %}   
                            
                            {% for tag in domainTags %}
                                <option value="{{ tag.uuid }}"> [d] {{ tag.displayname }}</option>                
                            {% endfor %}   
                        </select>
                        </br> </br>
                        <label><b>{% trans 'addNewTag' %}</b></label>
                        <input class="w3-input w3-border w3-margin-bottom" type="text" placeholder="{% trans 'addNewTag' %}" name="newTag">
                    </div>
                    <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
                        <button onclick='submit()' type="button" class="w3-button w3-green">{% trans 'Submit' %}</button>
                        <button onclick='window.close()' type="button" class="w3-button w3-red w3-right">{% trans 'Cancel' %}</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
   
    <script type="text/javascript">       
        updateTagList('{{ uuid }}','{{ muuid }}','{{ token }}');
    </script> 
{% endblock %}
